VREDeploymentServiceImpl (VRE Manager Portlet 3.0.0-SNAPSHOT API)
Date: 2013-10-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.vredeployment.server
Class VREDeploymentServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.admin.vredeployment.server.VREDeploymentServiceImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, VREDeploymentService

    public class VREDeploymentServiceImpl

extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements VREDeploymentService

The server side implementation of the RPC service.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`VREDeploymentServiceImpl()`

Method Summary
`boolean` | `doApprove(String epr)` approve the vre and set in session necessar vars for deployer
`boolean` | `doEdit(String epr)`
`boolean` | `doRemove(String epr)`
`String` | `doViewDetails(String epr)`
`boolean` | `doViewReport(String epr)`
`String` | `getHTMLReport(String epr)`
`ArrayList<VREDefinitionBean>` | `getVREDefinitions()`

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VREDeploymentServiceImpl

    public VREDeploymentServiceImpl()

Method Detail

### getVREDefinitions

    public ArrayList<VREDefinitionBean> getVREDefinitions()

  Specified by:
    `getVREDefinitions` in interface `VREDeploymentService`

### doApprove

    public boolean doApprove(String epr)

  approve the vre and set in session necessar vars for deployer

  Specified by:
    `doApprove` in interface `VREDeploymentService`

### doRemove

    public boolean doRemove(String epr)

  Specified by:
    `doRemove` in interface `VREDeploymentService`

### doEdit

    public boolean doEdit(String epr)

  Specified by:
    `doEdit` in interface `VREDeploymentService`

### doViewDetails

    public String doViewDetails(String epr)

  Specified by:
    `doViewDetails` in interface `VREDeploymentService`

### doViewReport

    public boolean doViewReport(String epr)

  Specified by:
    `doViewReport` in interface `VREDeploymentService`

### getHTMLReport

    public String getHTMLReport(String epr)

  Specified by:
    `getHTMLReport` in interface `VREDeploymentService`
  Returns:
    the html representation of the report

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.